Bug 100795 - lsdiff -s incorrect on gendiff output
lsdiff -s incorrect on gendiff output
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: patchutils (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-25 11:59 EDT by Guy Streeter
Modified: 2016-02-09 20:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-17 05:17:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guy Streeter 2003-07-25 11:59:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
when a patch file creates or removes a file by diffing against /dev/null,
"lsdiff -s" shows the file as modified, rather than added or removed.

Version-Release number of selected component (if applicable):
patchutils-0.2.23-1

How reproducible:
Always

Steps to Reproduce:
1. diff a file against /dev/null
2. run lsdiff -s on the ouput
3.
    

Actual Results:  file shown as "modified"

Expected Results:  file shown as added or removed

Additional info:
Comment 1 Tim Waugh 2003-07-25 12:36:20 EDT
Fixed in 0.2.24.

Note You need to log in before you can comment on or make changes to this bug.